import { loader as loader$1 } from './little-loader.mjs';
import { loadJS } from './loader.mjs';

var _this = undefined;
/**
 * 以 Promise 或者 Callback 的方式加载 js 文件，取决于是否传递 Callback
 * @param {string}  url  js文件路径
 * @param {function}  [cb]  回调
 * @returns {Promise<number>} promise
 * @example
 * ```ts
 * // 1. Promise 方式
 * await loaderUnity('https://example.com/lib.js');
 *
 * // 2. Callback 方式
 * loaderUnity('https://example.com/lib.js', (err) => {
 *   if (err) return console.error(err);
 *   console.log('loaded');
 * });
 * ```
 */
var loaderUnity = function loaderUnity(source, cb) {
  if (typeof cb === 'function') {
    for (var _len = arguments.length, args = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }
    return loader$1.call.apply(loader$1, [_this, source, cb].concat(args));
  }
  return loadJS.call(_this, source);
};
var loader = loaderUnity;

export { loader, loaderUnity };
